# -*- coding: utf-8 -*-
from django.conf.urls import patterns, include, url

from django.contrib import admin
admin.autodiscover()


urlpatterns = patterns('',
    # 这里放您的其它的 url
    url(r'^admin/', include(admin.site.urls)),
)


# sitemaps
from tutorial.models import Tutorial
from django.contrib.sitemaps import GenericSitemap
from . import sitemaps_views
from django.views.decorators.cache import cache_page

class LimitGenericSitemap(GenericSitemap):
    limit = 200 # 自定义条数
    
sitemaps = {
    'tutorials': LimitGenericSitemap(
            {'queryset': Tutorial.objects.all(), 'date_field': 'update_time'}, 
            priority=1.0),
    #'tiy': LimitGenericSitemap(
    #        {'queryset': Instance.objects.all(), 'date_field': 'update_time'}, 
    #        priority=0.5),
}

urlpatterns += patterns('',
    url(r'^sitemap\.xml$',
        cache_page(86400)(sitemaps_views.index),
        {'sitemaps': sitemaps, 'sitemap_url_name': 'sitemaps'}),
    url(r'^sitemap-(?P<section>.+)-(?P<page>\d+)\.xml$',
        cache_page(86400)(sitemaps_views.sitemap),
        {'sitemaps': sitemaps}, name='sitemaps'),
)
